Сайт | Скачать | Видео | Wiki

Автор Тема: [Решено]PRA-roll. Не устанавливается Yandex браузер  (Прочитано 129 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн tumanovalex

  • Пользователь
  • **
  • Сообщений: 96
  • Репутация: +0/-0
Через sfs-get нашел yandex-browser-p-16.7.0.2846_64-ij01.pfs. При установке появляется сообщение об ошибке (скриншот). Как исправить эту ошибку? Если такие ошибки появляются, то как нужно находить недостающие библиотеки?
« Последнее редактирование: 07 Октябрь 2018, 10:33:42 от tumanovalex »

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 715
  • Репутация: +38/-0
Re: Не устанавливается Yandex браузер
« Ответ #1 : 05 Октябрь 2018, 00:29:58 »
нашел yandex-browser-p
Все, с сетью проблем больше нет?

А с браузерами, попробовать пока другое что-нибудь. Там их куча. Opera, firefox, palemoon, cromium и т.д.
Здесь можно поискать (с пометкой - GTK3).
https://mirror.yandex.ru/puppyrus/roll/1806/
mirror.yandex.ru/puppyrus/puppyrus-a64/pfs-portable

« Последнее редактирование: 05 Октябрь 2018, 00:32:37 от krasnyh »

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 715
  • Репутация: +38/-0
Re: Не устанавливается Yandex браузер
« Ответ #2 : 05 Октябрь 2018, 00:45:09 »
В ra-roll-1806-gtk3-01 в modules уже лежит firefox-bin-gtk3-p-62.0.0_64-sf01.

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 23486
  • Репутация: +172/-0
    • PuppyRus-A
Re: Не устанавливается Yandex браузер
« Ответ #3 : 05 Октябрь 2018, 09:33:31 »
Как исправить эту ошибку?
В prar - подключить модуль 035-gtk2
Если такие ошибки появляются, то как нужно находить недостающие библиотеки?
pkgfile нужный_файл покажет пакет
sudo pacman2pfs  пакет сделает модуль
неужели он еще на gtk2? это же прекрасно.
Этот модуль 2016 года. Свежие gtk3
gtk2 остался только palemoon. Возможно получится скомпилить хромиум. Готовый не нашел

Оффлайн tumanovalex

  • Пользователь
  • **
  • Сообщений: 96
  • Репутация: +0/-0
Re: PRA-roll. Не устанавливается Yandex браузер
« Ответ #4 : 05 Октябрь 2018, 21:41:05 »
pkgfile нужный_файл покажет пакет
Попробовал pkgfile имябиблиотеки. Получил сообщение extra/gtk2. Далее нужно узнать имя модуля через sfs-get? Яндекс-браузер подключился, спасибо.

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 715
  • Репутация: +38/-0
Re: PRA-roll. Не устанавливается Yandex браузер
« Ответ #5 : 05 Октябрь 2018, 22:32:10 »
Далее нужно узнать имя модуля через sfs-get?
wiki.puppyrus.org/puppyrus/pfs#найти_пакет_с_недостающим_файлом
 В вики и на форуме накопился огромный пласт информации. Всего лишь воспользоваться поиском.

Оффлайн tumanovalex

  • Пользователь
  • **
  • Сообщений: 96
  • Репутация: +0/-0
Re: PRA-roll. Не устанавливается Yandex браузер
« Ответ #6 : 05 Октябрь 2018, 23:35:53 »
Спасибо, понял. А как пометить тему как решенную?

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 23486
  • Репутация: +172/-0
    • PuppyRus-A
Re: PRA-roll. Не устанавливается Yandex браузер
« Ответ #7 : 07 Октябрь 2018, 09:32:27 »
Отредактировать "Тема" в первом сообщении темы